package templates

import (
    "html/template"
    "path/filepath"
)

var IndexTemplate = template.Must(template.ParseFiles(
    filepath.Join("view", "layout.html"),
    filepath.Join("view", "header.html"),
    filepath.Join("view", "footer.html"),
    filepath.Join("view", "prideflag.html"),
    filepath.Join("view", "index.html"),
))
var MusicTemplate = template.Must(template.ParseFiles(
    filepath.Join("view", "layout.html"),
    filepath.Join("view", "header.html"),
    filepath.Join("view", "footer.html"),
    filepath.Join("view", "prideflag.html"),
    filepath.Join("view", "music.html"),
))
var MusicGatewayTemplate = template.Must(template.ParseFiles(
    filepath.Join("view", "layout.html"),
    filepath.Join("view", "header.html"),
    filepath.Join("view", "footer.html"),
    filepath.Join("view", "prideflag.html"),
    filepath.Join("view", "music-gateway.html"),
))
var BlogTemplate = template.Must(template.ParseFiles(
    filepath.Join("view", "layout.html"),
    filepath.Join("view", "header.html"),
    filepath.Join("view", "footer.html"),
    filepath.Join("view", "prideflag.html"),
    filepath.Join("view", "blog.html"),
))
